import { defineNuxtPlugin } from '#app'

export default defineNuxtPlugin(async () => {
  const menuStore = useMenuStore()
  await menuStore.loadMenu()
  await menuStore.getLocales()
  const store = useStore()
  await store.getMinMaxRange()
  await store.getCalculator()
  const userStore = useUserStore()
  await userStore.checkIsLogged()
})
